
Foreman - Tracker #33983

Cleanup core_extensions

11/23/2021 02:39 PM - Ondřej Ezr

Status: Resolved % Done: 100%

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Core extensions have very archaic code, that would use some cleaning.

Subtasks:

Refactor # 33984: Remove custom update methods Closed

Refactor # 33985: Move identification methods to ApplicationRecord Closed

Refactor # 33986: Move Callback classes to separate files Closed

Refactor # 33987: Hostmix to use class_methods Closed

Refactor # 33992: Drop the truncate_bytes method Closed

Related issues:

Related to Foreman - Tracker #28570: Rails 6.1 Tracker Closed

History

#1 - 11/23/2021 02:40 PM - Ondřej Ezr

- Related to Tracker #28570: Rails 6.1 Tracker added

#2 - 11/23/2021 03:39 PM - Ondřej Ezr

- Tracker changed from Tracker to Refactor

#3 - 11/23/2021 03:39 PM - Ondřej Ezr

- Tracker changed from Refactor to Tracker

- % Done set to 0

#4 - 01/03/2022 08:54 AM - Ondřej Ezr

- Status changed from New to Resolved

It is not clean, but much cleaner now.
